Forum:Lisp
Thema:Mittelpunkt vom Ring
Möchten Sie sich registrieren?
Wer darf antworten? Registrierte Benutzer können Beiträge verfassen.
Hinweise zur Registrierung Sie müssen registriert sein, um Beiträge oder Antworten auf Beiträge schreiben zu können.
Ihr Benutzername:
Ihr Kennwort:   Kennwort vergessen?
Anhang:    Datei(en) anhängen  <?>   Anhänge verwalten  <?>
Grafik für den Beitrag:                                                
                                                       
Ihre Antwort:

Fachbegriff
URL
Email
Fett
Kursiv
Durchgestr.
Liste
*
Bild
Zitat
Code

*HTML ist AUS
*UBB-Code ist AN
Smilies Legende
Netiquette

10 20 40

Optionen Smilies in diesem Beitrag deaktivieren.
Signatur anfügen: die Sie bei den Voreinstellungen angegeben haben.

Wenn Sie bereits registriert sind, aber Ihr Kennwort vergessen haben, klicken Sie bitte hier.

Bitte drücken Sie nicht mehrfach auf "Antwort speichern".

*Ist HTML- und/oder UBB-Code aktiviert, dann können Sie HTML und/oder UBB Code in Ihrem Beitrag verwenden.

T H E M A     A N S E H E N
mkl-cad

Beiträge: 378 / 0

ACAD 2002
Express Tools 1-9
Architektural Desktop
Windows XP
Server Windows 2003
3 GHz Rechner
1 GB RAM
80 GB Festplatte
ATI FireGL V3100
2 17" Flachbildschirme

Hallo Leute,

irgendwie steh ich auf´n Schlauch. Wie bekommen ich von dem folgenden Objekt (Ring) den Mittelpunkt? Mit Gruppencode 10 tuts nicht. Der Zentrum des Ringes ist unten mit dem Befehl id angegeben. Warum gibt es beim Ring eigentlich zweimal den Gruppencode 10. Wenn schon zwei dann müste der zweite ja 11 sein ?!

((-1 . <Objektname: 4f24a548> ) (0 . "LWPOLYLINE") (330 . <Objektname: 4170dcf8> ) (5 . "DEAD1") (100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 . "L-verdeckt") (100 . "AcDbPolyline") (90 . 2) (70 . 1) (43 . 25.0) (38 . 0.0)(39 . 0.0) (10 20829.4 -26586.7) (40 . 25.0) (41 . 25.0) (42 . 1.0) (10 20854.4 -26586.7) (40 . 25.0) (41 . 25.0) (42 . 1.0) (210 0.0 0.0 1.0))

Befehl: id
Punkt angeben: _cen von  X = 20841.93    Y = -26586.72    Z = 0.00

Danke schon mal

Martin

CADmium

Beiträge: 13496 / 249

.

Das Objekt ist eine Polylinie! Und die hat hat mehrere Punkte.Wie du an den Mittelpunkt kommst, und allgemein etwas zu Polylinien steht hier : http://www.afralisp.com/lisp/Bulges1.htm sehr gut beschrieben.

------------------
- Thomas -